Subject: bug#59905: closed (Re: [bug-diffutils] bug#59905: 3.8: test suite is failing)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 17 Jan 2023 00:10:02 +0000

Your bug report

#59905: 3.8: test suite is failing

which was filed against the diffutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
59905: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59905
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug-diffutils] bug#59905: 3.8: test suite is failing
From: Jim Meyering <[email-masked]>
To: Tomasz Kłoczko <[email-masked]>
Cc: [email-masked]
Date: Mon, 16 Jan 2023 16:08:45 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Dec 8, 2022 at 6:02 AM Tomasz Kłoczko <[email-masked]> wrote:
> Looks like test suite is failing>
...
> FAIL: colors
> ============
Thanks for reporting that a single test is failing.
...
> BTW is it any chance to flush currently accumulated commits and make a new version?

Not sure what you mean by currently accumulated commits and making a
new version.
This does not merit a new version. If you've created local commits and
want to delete them
so you can make a new version yourself, you can either clone again to
start from scratch
or discard e.g., the topmost commit along with any uncommitted changes
by running this:

  git reset --hard HEAD^

The issue you found is due to a problem solely with the test, not with
how diff works.
The attached fix makes it so this small test now also passes, even
with newer GNU make.
From 89f3daeaaf021a77177daec8666bcd80ec476833 Mon Sep 17 00:00:00 2001
From: Jim Meyering <[email-masked]>
Date: Mon, 16 Jan 2023 15:48:10 -0800
Subject: [PATCH] tests: accommodate newer GNU make's SIGPIPE-ignore
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

* tests/colors: Allow an exit code of not just 141 (SIGPIPE),
but also "error": 2.
Reported by Tomasz Kłoczko in http://bugs.gnu.org/59905.
---
 tests/colors | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/tests/colors b/tests/colors
index a14e555..6ef729f 100755
--- a/tests/colors
+++ b/tests/colors
@@ -128,6 +128,9 @@ printf '%1000000s-a' > a
 printf '%1000000s-b' > b
 head -c 10 < fifo > /dev/null &
 diff --color=always ---presume-output-tty a b > fifo
-test $? = 141 || fail=1
+
+# Depending on version of GNU make (4.3.92-4.4 set SIGPIPE to "ignore"),
+# either of these is acceptable.
+case $? in 2|141) ;; *) fail=1 ;; esac

 Exit $fail
-- 
2.39.0.132.g8a4e8f6a67

Subject: 3.8: test suite is failing
From: Tomasz Kłoczko <[email-masked]>
To: [email-masked]
Date: Thu, 8 Dec 2022 14:01:13 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Looks like test suite is failing

+ cd diffutils-3.8
+ /usr/bin/make -O -j48 V=1 VERBOSE=1 check
if test -d ./.git                               \
        && git --version >/dev/null 2>&1; then                  \
  cd . &&                                               \
  git submodule --quiet foreach                                 \
      'test "$(git rev-parse "$sha1")"                  \
          = "$(git merge-base origin "$sha1")"'         \
    || { echo 'maint.mk: found non-public submodule commit' >&2;        \
         exit 1; };                                             \
else                                                            \
  : ;                                                           \
fi
Making check in lib
/usr/bin/make  check-am
Making check in src
/usr/bin/make  check-am
make[2]: Nothing to be done for 'check-am'.
Making check in tests
/usr/bin/make  check-TESTS
make[3]: Entering directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
PASS: bignum
make[3]: Leaving directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
make[3]: Entering directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
PASS: colliding-file-names
make[3]: Leaving directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
make[3]: Entering directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
PASS: excess-slash
make[3]: Leaving directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
make[3]: Entering directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
PASS: stdin
make[3]: Leaving directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
make[3]: Entering directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
PASS: brief-vs-stat-zero-kernel-lies
make[3]: Leaving directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
make[3]: Entering directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
PASS: invalid-re
make[3]: Leaving directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
make[3]: Entering directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
PASS: ignore-matching-lines
make[3]: Leaving directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
make[3]: Entering directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
PASS: new-file
make[3]: Leaving directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
make[3]: Entering directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
PASS: function-line-vs-leading-space
make[3]: Leaving directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
make[3]: Entering directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
PASS: label-vs-func
make[3]: Leaving directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
make[3]: Entering directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
PASS: strcoll-0-names
make[3]: Leaving directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
make[3]: Entering directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
PASS: basic
make[3]: Leaving directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
make[3]: Entering directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
PASS: diff3
make[3]: Leaving directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
make[3]: Entering directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
PASS: no-newline-at-eof
make[3]: Leaving directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
make[3]: Entering directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
PASS: filename-quoting
make[3]: Leaving directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
make[3]: Entering directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
FAIL: colors
make[3]: Leaving directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
make[3]: Entering directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
XFAIL: large-subopt
make[3]: Leaving directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
make[3]: Entering directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
PASS: no-dereference
make[3]: Leaving directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
make[3]: Entering directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
PASS: binary
make[3]: Leaving directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
make[3]: Entering directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
PASS: cmp
make[3]: Leaving directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
make[3]: Entering directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
PASS: help-version
make[3]: Leaving directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
make[3]: Entering directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
PASS: strip-trailing-cr
make[3]: Leaving directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
make[3]: Entering directory
'/home/tkloczko/rpmbuild/BUILD/diffutils-3.8/tests'
=============================================
   GNU diffutils 3.8: tests/test-suite.log
=============================================

# TOTAL: 22
# PASS:  20
# SKIP:  0
# XFAIL: 1
# FAIL:  1
# XPASS: 0
# ERROR: 0

.. contents:: :depth: 2

XFAIL: large-subopt
===================

XFAIL large-subopt (exit status: 1)

FAIL: colors
============

diff: standard output: Broken pipe
FAIL colors (exit status: 1)

============================================================================
Testsuite summary for GNU diffutils 3.8
============================================================================
# TOTAL: 22
# PASS:  20
# SKIP:  0
# XFAIL: 1
# FAIL:  1
# XPASS: 0
# ERROR: 0
============================================================================
See tests/test-suite.log
Please report to [email-masked]
============================================================================

Please let me know if you need more details.

BTW is it any chance to flush currently accumulated commits and make a new
version?

kloczek
-- 
Tomasz Kłoczko | LinkedIn: *http://lnkd.in/FXPWxH <http://lnkd.in/FXPWxH>*